API to get Data needed to display on the Action Plan Panel

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developer.trintech.com/doc/cadency-close-task-action-plan-api/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"Cadency Close Task Action Plan API MCP server": {
  "url": "https://developer.trintech.com/doc/cadency-close-task-action-plan-api/mcp"
}
Close
GET /dashboard/action-plan-panel

This API is used for getting upto six oldest action plans for the user to display on the Action Plan Panel. This GET grabs from Close Task and Close Issue type plans, and determines how many of each type should be displayed. For Close Task, oldest is determined by due date. For Close Issue, oldest is determined by status (Late/Progress/Not Stated/Complete).

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • taskList array[object]
      Hide taskList attributes Show taskList attributes object
      • actionPlanId integer Deprecated
      • name string
      • dueDate string(date-time)
    • issueList array[object]
      Hide issueList attributes Show issueList attributes object
      • actionPlanId integer Deprecated
      • name string
      • status string
      • inboxUserAndEmail string
GET /dashboard/action-plan-panel
curl \
 --request GET 'https://usaapi02.cadencyservices.trintech.com/test/api/dashboard/action-plan-panel' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "taskList": [
    {
      "actionPlanId": 42,
      "name": "string",
      "dueDate": "2026-05-04T09:42:00Z"
    }
  ],
  "issueList": [
    {
      "actionPlanId": 42,
      "name": "string",
      "status": "string",
      "inboxUserAndEmail": "string"
    }
  ]
}